# CustomAttribute

## GET /partners/custom-attribute

> Get a custom attribute by ID

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/custom-attribute":{"get":{"operationId":"PartnersCustomAttributeController_getCustomAttribute","parameters":[{"name":"id","required":true,"in":"query","description":"The UUID of the custom attribute to retrieve","schema":{"type":"string"}},{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"The custom attribute has been successfully retrieved.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomAttribute"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"CustomAttribute not found."}},"summary":"Get a custom attribute by ID","tags":["CustomAttribute"]}}},"components":{"schemas":{"PartnerCustomAttribute":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"The name of the custom attribute."},"description":{"type":"string","nullable":true,"description":"Description of the custom attribute.","default":null},"type":{"description":"The type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeType"}]},"targetType":{"description":"The target type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeTargetType"}]},"autoDetect":{"type":"boolean","description":"Whether the custom attribute should be automatically detected during analysis."},"autoDetectConfig":{"description":"Configuration for auto-detection of the custom attribute.","default":null,"nullable":true,"allOf":[{"$ref":"#/components/schemas/CustomAttributeAutoDetectConfigEmbeddable"}]},"possibleValues":{"description":"List of possible values for the custom attribute (applicable for select types).","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomAttributePossibleValue"}}},"required":["id","createdAt","updatedAt","name","description","type","targetType","autoDetect","autoDetectConfig","possibleValues"]},"CustomAttributeType":{"type":"string","enum":["SINGLE_SELECT","MULTI_SELECT","TEXT","NUMBER"],"description":"The type of the custom attribute."},"CustomAttributeTargetType":{"type":"string","enum":["FEEDBACK","CUSTOMER","PURCHASE"],"description":"The target type of the custom attribute."},"CustomAttributeAutoDetectConfigEmbeddable":{"type":"object","properties":{"promptMessage":{"type":"string","description":"The message to prompt users with when asking them to provide feedback for auto-detection of custom attribute values."},"allowNewPossibleValues":{"type":"boolean","description":"Whether to allow new possible values to be created when auto detecting\n@default false","default":false},"eraseExistingValues":{"type":"boolean","description":"Whether to erase existing custom attribute values for the target entity when auto-detecting new values.\nIf true, all existing values will be deleted before assigning the newly auto-detected value(s).\nIf false, the newly auto-detected value(s) will be assigned in addition to any existing values.\nThis option is only used for multi-select type custom attributes, where you may want to keep existing values while adding new ones.\n@default true","default":true},"matcher":{"nullable":true,"description":"The configuration for matching feedback content to determine if it should be used for auto-detection of custom attribute values.\n@default null","default":null,"allOf":[{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}]}},"required":["promptMessage","allowNewPossibleValues","eraseExistingValues","matcher"]},"FeedbackContentMatcherEmbeddable":{"type":"object","properties":{"text":{"$ref":"#/components/schemas/SiftStringQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"channel":{"$ref":"#/components/schemas/SiftStringQuery"},"language":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"index":{"$ref":"#/components/schemas/SiftNumberQuery"},"textSize":{"$ref":"#/components/schemas/SiftNumberQuery"},"polarity":{"$ref":"#/components/schemas/SiftStringQuery"},"themes":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"emotions":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"likeRecommended":{"$ref":"#/components/schemas/SiftBooleanQuery"},"replyRecommended":{"$ref":"#/components/schemas/SiftBooleanQuery"},"hideRecommended":{"$ref":"#/components/schemas/SiftBooleanQuery"},"attributes":{"$ref":"#/components/schemas/FeedbackContentCustomAttributeValueMatcherEmbeddable"},"tags":{"$ref":"#/components/schemas/FeedbackContentFeedbackTagMatcherEmbeddable"},"tagsPivot":{"$ref":"#/components/schemas/FeedbackContentFeedbackContentTagsPivotMatcherEmbeddable"},"surveyReplies":{"$ref":"#/components/schemas/FeedbackContentSurveyReplyMatcherEmbeddable"},"contactFormReplies":{"$ref":"#/components/schemas/FeedbackContentContactFormReplyMatcherEmbeddable"},"feedback":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"},"metadatas":{"$ref":"#/components/schemas/FeedbackContentMetadatasMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}}},"SiftStringQuery":{"type":"object","properties":{"$ilike":{"type":"string"},"$nilike":{"type":"string"},"$eq":{"type":"string","nullable":true},"$ne":{"type":"string","nullable":true},"$regex":{"type":"string","nullable":true},"$in":{"type":"array","items":{"type":"string"}},"$nin":{"type":"array","items":{"type":"string"}},"$exists":{"type":"boolean"}}},"SiftNumberQuery":{"type":"object","properties":{"$eq":{"type":"number","nullable":true},"$ne":{"type":"number","nullable":true},"$lt":{"type":"number"},"$gt":{"type":"number"},"$lte":{"type":"number"},"$gte":{"type":"number"},"$in":{"type":"array","items":{"type":"number"}},"$nin":{"type":"array","items":{"type":"number"}},"$exists":{"type":"boolean"}}},"SiftStringArrayQuery":{"type":"object","properties":{"$all":{"type":"array","items":{"type":"string"}},"$elemMatch":{"type":"string"},"$exists":{"type":"boolean"}}},"SiftBooleanQuery":{"type":"object","properties":{"$eq":{"type":"boolean","nullable":true},"$ne":{"type":"boolean","nullable":true},"$exists":{"type":"boolean"}}},"FeedbackContentCustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"CustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"attribute":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"},"type":{"$ref":"#/components/schemas/SiftStringQuery"},"autoDetected":{"$ref":"#/components/schemas/SiftBooleanQuery"},"fromPossibleValue":{"$ref":"#/components/schemas/CustomAttributePossibleValueMatcherEmbeddable"},"text":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"value":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}}},"CustomAttributeMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}}},"SiftUUIDQuery":{"type":"object","properties":{"$eq":{"type":"string"},"$ne":{"type":"string"},"$in":{"type":"array","items":{"type":"string"}},"$nin":{"type":"array","items":{"type":"string"}},"$exists":{"type":"boolean"}}},"CustomAttributePossibleValueMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"value":{"$ref":"#/components/schemas/SiftStringQuery"},"creator":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}}},"FeedbackContentFeedbackTagMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"FeedbackTagMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"tag":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"}}},"FeedbackContentFeedbackContentTagsPivotMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"FeedbackContentTagsPivotMatcherEmbeddable":{"type":"object","properties":{"tag":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"polarity":{"$ref":"#/components/schemas/SiftStringQuery"},"themes":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"emotions":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"}}},"FeedbackContentSurveyReplyMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"SurveyReplyMatcherEmbeddable":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/SiftStringQuery"},"label":{"$ref":"#/components/schemas/SiftStringQuery"},"text":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"values":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"possibleValues":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"}}},"FeedbackContentContactFormReplyMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"ContactFormReplyMatcherEmbeddable":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/SiftStringQuery"},"label":{"$ref":"#/components/schemas/SiftStringQuery"},"text":{"$ref":"#/components/schemas/SiftStringQuery"},"values":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"possibleValues":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"}}},"FeedbackMatcherEmbeddable":{"type":"object","properties":{"class":{"$ref":"#/components/schemas/SiftStringQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"store":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"},"brand":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"},"customer":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"},"purchase":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"},"survey":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"},"form":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"},"surveyTracker":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"},"supportEmail":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"},"metadatas":{"$ref":"#/components/schemas/FeedbackMetadatasMatcherEmbeddable"},"allowAutoReply":{"$ref":"#/components/schemas/SiftBooleanQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"}}},"StoreMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"internalCode":{"$ref":"#/components/schemas/SiftStringQuery"},"groups":{"$ref":"#/components/schemas/StoreStoreGroupMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"}}},"StoreStoreGroupMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"StoreGroupMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"internalCode":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"}}},"BrandMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"}}},"CustomerMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"description":{"$ref":"#/components/schemas/SiftStringQuery"},"firstName":{"$ref":"#/components/schemas/SiftStringQuery"},"lastName":{"$ref":"#/components/schemas/SiftStringQuery"},"displayName":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"phoneNumber":{"$ref":"#/components/schemas/SiftStringQuery"},"civility":{"$ref":"#/components/schemas/SiftStringQuery"},"language":{"$ref":"#/components/schemas/SiftStringQuery"},"type":{"$ref":"#/components/schemas/SiftStringQuery"},"attributes":{"$ref":"#/components/schemas/CustomerCustomAttributeValueMatcherEmbeddable"},"feedbackCount":{"$ref":"#/components/schemas/SiftNumberQuery"},"purchaseCount":{"$ref":"#/components/schemas/SiftNumberQuery"},"purchaseAmount":{"$ref":"#/components/schemas/SiftNumberQuery"},"averageFeedbackRating":{"$ref":"#/components/schemas/SiftNumberQuery"},"dataSources":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"zenchefId":{"$ref":"#/components/schemas/SiftStringQuery"},"zeltyId":{"$ref":"#/components/schemas/SiftStringQuery"},"ubereatsId":{"$ref":"#/components/schemas/SiftStringQuery"},"sevenroomsId":{"$ref":"#/components/schemas/SiftStringQuery"},"metadatas":{"$ref":"#/components/schemas/CustomerMetadatasMatcherEmbeddable"},"tags":{"$ref":"#/components/schemas/CustomerCustomerTagMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"}}},"CustomerCustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"CustomerMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefCustomerMetadatasMatcherEmbeddable"},"zelty":{"$ref":"#/components/schemas/ZeltyCustomerMetadatasMatcherEmbeddable"}}},"ZenchefCustomerMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"deleted_at":{"$ref":"#/components/schemas/SiftStringQuery"},"owner_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"restaurantid":{"$ref":"#/components/schemas/SiftNumberQuery"},"restaurant_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"retention_rate_label":{"$ref":"#/components/schemas/SiftStringQuery"},"retention_rate":{"$ref":"#/components/schemas/SiftNumberQuery"},"company":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"account_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"customer_social_id":{"$ref":"#/components/schemas/SiftStringQuery"},"customer_company_id":{"$ref":"#/components/schemas/SiftStringQuery"},"lastname":{"$ref":"#/components/schemas/SiftStringQuery"},"firstname":{"$ref":"#/components/schemas/SiftStringQuery"},"civility":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"phone":{"$ref":"#/components/schemas/SiftStringQuery"},"professional_email":{"$ref":"#/components/schemas/SiftStringQuery"},"professional_phone":{"$ref":"#/components/schemas/SiftStringQuery"},"birthdate":{"$ref":"#/components/schemas/SiftStringQuery"},"address":{"$ref":"#/components/schemas/SiftStringQuery"},"city":{"$ref":"#/components/schemas/SiftStringQuery"},"zip":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"lang":{"$ref":"#/components/schemas/SiftStringQuery"},"membershipnum":{"$ref":"#/components/schemas/SiftStringQuery"},"vip":{"$ref":"#/components/schemas/SiftNumberQuery"},"has_no_show":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_new":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_blacklisted":{"$ref":"#/components/schemas/SiftNumberQuery"},"allergies":{"$ref":"#/components/schemas/SiftStringQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"unsubscribed":{"$ref":"#/components/schemas/SiftBooleanQuery"},"has_opt_in_market_mail":{"$ref":"#/components/schemas/SiftNumberQuery"},"has_opt_in_review_mail":{"$ref":"#/components/schemas/SiftNumberQuery"},"imported_nb_bookings":{"$ref":"#/components/schemas/SiftNumberQuery"},"non_duplicate_with":{"$ref":"#/components/schemas/SiftStringQuery"}}},"ZeltyCustomerMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"uuid":{"$ref":"#/components/schemas/SiftStringQuery"},"remote_id":{"$ref":"#/components/schemas/SiftStringQuery"},"nice_name":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"fname":{"$ref":"#/components/schemas/SiftStringQuery"},"company":{"$ref":"#/components/schemas/SiftStringQuery"},"card":{"$ref":"#/components/schemas/SiftStringQuery"},"phone":{"$ref":"#/components/schemas/SiftStringQuery"},"phone2":{"$ref":"#/components/schemas/SiftStringQuery"},"mail":{"$ref":"#/components/schemas/SiftStringQuery"},"birthday":{"$ref":"#/components/schemas/SiftStringQuery"},"balance":{"$ref":"#/components/schemas/SiftNumberQuery"},"personal_info":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty":{"$ref":"#/components/schemas/SiftNumberQuery"},"registration":{"$ref":"#/components/schemas/SiftStringQuery"},"default_address":{"$ref":"#/components/schemas/SiftNumberQuery"},"billing_address":{"$ref":"#/components/schemas/SiftNumberQuery"},"sms_optin":{"$ref":"#/components/schemas/SiftBooleanQuery"},"mail_optin":{"$ref":"#/components/schemas/SiftBooleanQuery"},"turnover":{"$ref":"#/components/schemas/SiftNumberQuery"},"nb_orders":{"$ref":"#/components/schemas/SiftNumberQuery"},"last_order_date":{"$ref":"#/components/schemas/SiftStringQuery"},"other":{"$ref":"#/components/schemas/SiftStringQuery"},"country_code":{"$ref":"#/components/schemas/SiftStringQuery"}}},"CustomerCustomerTagMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"CustomerTagMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"tag":{"$ref":"#/components/schemas/SiftStringQuery"},"color":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"}}},"PurchaseMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"externalId":{"$ref":"#/components/schemas/SiftStringQuery"},"amount":{"$ref":"#/components/schemas/SiftNumberQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"customer":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"},"attributes":{"$ref":"#/components/schemas/PurchaseCustomAttributeValueMatcherEmbeddable"},"metadatas":{"$ref":"#/components/schemas/PurchaseMetadatasMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"}}},"PurchaseCustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"PurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefPurchaseMetadatasMatcherEmbeddable"},"zelty":{"$ref":"#/components/schemas/ZeltyPurchaseMetadatasMatcherEmbeddable"},"juxta":{"$ref":"#/components/schemas/JuxtaPurchaseMetadatasMatcherEmbeddable"},"sevenrooms":{"$ref":"#/components/schemas/SevenroomsPurchaseMetadatasMatcherEmbeddable"},"oracle":{"$ref":"#/components/schemas/OraclePurchaseMetadatasMatcherEmbeddable"}}},"ZenchefPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"type":{"$ref":"#/components/schemas/SiftStringQuery"},"partner_id":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_type":{"$ref":"#/components/schemas/SiftStringQuery"},"restaurant_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"resto_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"resto_name":{"$ref":"#/components/schemas/SiftStringQuery"},"to":{"$ref":"#/components/schemas/SiftStringQuery"},"day":{"$ref":"#/components/schemas/SiftStringQuery"},"time":{"$ref":"#/components/schemas/SiftStringQuery"},"nb_guests":{"$ref":"#/components/schemas/SiftNumberQuery"},"slots_count":{"$ref":"#/components/schemas/SiftStringQuery"},"civility":{"$ref":"#/components/schemas/SiftStringQuery"},"firstname":{"$ref":"#/components/schemas/SiftStringQuery"},"lastname":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"phone_number":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"private_comment":{"$ref":"#/components/schemas/SiftStringQuery"},"allergies":{"$ref":"#/components/schemas/SiftStringQuery"},"cancel_reason_id":{"$ref":"#/components/schemas/SiftStringQuery"},"zip":{"$ref":"#/components/schemas/SiftStringQuery"},"lang":{"$ref":"#/components/schemas/SiftStringQuery"},"moment":{"$ref":"#/components/schemas/SiftStringQuery"},"type_client":{"$ref":"#/components/schemas/SiftStringQuery"},"type_event":{"$ref":"#/components/schemas/SiftStringQuery"},"budget":{"$ref":"#/components/schemas/SiftStringQuery"},"date":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"reply_date":{"$ref":"#/components/schemas/SiftStringQuery"},"treatment":{"$ref":"#/components/schemas/SiftStringQuery"},"url":{"$ref":"#/components/schemas/SiftStringQuery"},"is_walk_in":{"$ref":"#/components/schemas/SiftNumberQuery"},"waiting_list_for":{"$ref":"#/components/schemas/SiftStringQuery"},"is_reconfirmed":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_canceled_late":{"$ref":"#/components/schemas/SiftNumberQuery"},"waiting_reconfirmation":{"$ref":"#/components/schemas/SiftStringQuery"},"is_locked":{"type":"object"},"is_not_destockable":{"type":"object"},"is_virtual_menu_sent":{"$ref":"#/components/schemas/SiftNumberQuery"},"review":{"$ref":"#/components/schemas/SiftNumberQuery"},"review_reminder":{"$ref":"#/components/schemas/SiftNumberQuery"},"unsubscribed":{"type":"object"},"attendance_customer":{"$ref":"#/components/schemas/SiftNumberQuery"},"customer_sheet_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"waiter_id":{"$ref":"#/components/schemas/SiftStringQuery"},"custom_field":{"$ref":"#/components/schemas/SiftStringQuery"},"prescriber_id":{"$ref":"#/components/schemas/SiftStringQuery"},"is_risky":{"type":"object"},"is_safe":{"type":"object"},"status_updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"source_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"shift_date":{"$ref":"#/components/schemas/SiftStringQuery"},"waiting_inside_for":{"$ref":"#/components/schemas/SiftStringQuery"},"seated_substatus":{"$ref":"#/components/schemas/SiftStringQuery"},"phase":{"$ref":"#/components/schemas/SiftStringQuery"}},"required":["created_at","updated_at"]},"ZeltyPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"uuid":{"$ref":"#/components/schemas/SiftStringQuery"},"id_restaurant":{"$ref":"#/components/schemas/SiftNumberQuery"},"remote_id":{"$ref":"#/components/schemas/SiftStringQuery"},"ref":{"$ref":"#/components/schemas/SiftStringQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"closed_at":{"$ref":"#/components/schemas/SiftStringQuery"},"due_date":{"$ref":"#/components/schemas/SiftStringQuery"},"mode":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"channel":{"$ref":"#/components/schemas/SiftStringQuery"},"virtual_brand_name":{"$ref":"#/components/schemas/SiftStringQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"seats":{"$ref":"#/components/schemas/SiftNumberQuery"},"table":{"$ref":"#/components/schemas/SiftNumberQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"device_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"first_name":{"$ref":"#/components/schemas/SiftStringQuery"},"closed_by_device_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"user":{"$ref":"#/components/schemas/SiftStringQuery"},"delivery_started":{"$ref":"#/components/schemas/SiftStringQuery"},"delivery_ended":{"$ref":"#/components/schemas/SiftStringQuery"}}},"JuxtaPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"center_id":{"$ref":"#/components/schemas/SiftStringQuery"},"center_name":{"$ref":"#/components/schemas/SiftStringQuery"},"practitioner_fullname":{"$ref":"#/components/schemas/SiftStringQuery"},"patient_fullname":{"$ref":"#/components/schemas/SiftStringQuery"},"patient_firstname":{"$ref":"#/components/schemas/SiftStringQuery"},"patient_lastname":{"$ref":"#/components/schemas/SiftStringQuery"},"phone_number":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"date":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SevenroomsPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_id":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_group_id":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_group_client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"first_name":{"$ref":"#/components/schemas/SiftStringQuery"},"last_name":{"$ref":"#/components/schemas/SiftStringQuery"},"source_client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"external_user_id":{"$ref":"#/components/schemas/SiftStringQuery"},"external_id":{"$ref":"#/components/schemas/SiftStringQuery"},"external_reference_code":{"$ref":"#/components/schemas/SiftStringQuery"},"external_client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"phone_number":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"reference_code":{"$ref":"#/components/schemas/SiftStringQuery"},"client_reference_code":{"$ref":"#/components/schemas/SiftStringQuery"},"time_slot_iso":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"status_display":{"$ref":"#/components/schemas/SiftStringQuery"},"status_simple":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"table_numbers":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_seating_area_name":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_seating_area_id":{"$ref":"#/components/schemas/SiftStringQuery"},"max_guests":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_vip":{"$ref":"#/components/schemas/SiftBooleanQuery"},"booked_by":{"$ref":"#/components/schemas/SiftStringQuery"},"date":{"$ref":"#/components/schemas/SiftStringQuery"},"real_datetime_of_slot":{"$ref":"#/components/schemas/SiftStringQuery"},"notes":{"$ref":"#/components/schemas/SiftStringQuery"},"client_requests":{"$ref":"#/components/schemas/SiftStringQuery"},"arrival_time":{"$ref":"#/components/schemas/SiftStringQuery"},"duration":{"$ref":"#/components/schemas/SiftNumberQuery"},"using_default_duration":{"$ref":"#/components/schemas/SiftBooleanQuery"},"send_reminder_email":{"$ref":"#/components/schemas/SiftBooleanQuery"},"updated":{"$ref":"#/components/schemas/SiftStringQuery"},"check_numbers":{"$ref":"#/components/schemas/SiftStringQuery"},"shift_persistent_id":{"$ref":"#/components/schemas/SiftStringQuery"},"left_time":{"$ref":"#/components/schemas/SiftStringQuery"},"postal_code":{"$ref":"#/components/schemas/SiftStringQuery"},"comps_price_type":{"$ref":"#/components/schemas/SiftStringQuery"},"modify_reservation_link":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_type":{"$ref":"#/components/schemas/SiftStringQuery"},"seated_time":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_sms_opt_in":{"$ref":"#/components/schemas/SiftBooleanQuery"},"arrived_guests":{"$ref":"#/components/schemas/SiftNumberQuery"},"state":{"$ref":"#/components/schemas/SiftStringQuery"},"send_reminder_sms":{"$ref":"#/components/schemas/SiftBooleanQuery"},"address_2":{"$ref":"#/components/schemas/SiftStringQuery"},"min_price":{"$ref":"#/components/schemas/SiftNumberQuery"},"policy":{"$ref":"#/components/schemas/SiftStringQuery"},"served_by":{"$ref":"#/components/schemas/SiftStringQuery"},"address":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty_id":{"$ref":"#/components/schemas/SiftStringQuery"},"mf_ratio_male":{"$ref":"#/components/schemas/SiftNumberQuery"},"mf_ratio_female":{"$ref":"#/components/schemas/SiftNumberQuery"},"comps":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty_rank":{"$ref":"#/components/schemas/SiftStringQuery"},"paid_by":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty_tier":{"$ref":"#/components/schemas/SiftStringQuery"},"shift_category":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"cost_option":{"$ref":"#/components/schemas/SiftNumberQuery"},"created":{"$ref":"#/components/schemas/SiftStringQuery"},"access_persistent_id":{"$ref":"#/components/schemas/SiftStringQuery"},"city":{"$ref":"#/components/schemas/SiftStringQuery"},"total_payment":{"$ref":"#/components/schemas/SiftNumberQuery"},"prepayment":{"$ref":"#/components/schemas/SiftNumberQuery"},"deleted":{"$ref":"#/components/schemas/SiftStringQuery"}}},"OraclePurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"roomStay":{"$ref":"#/components/schemas/OracleReservationRoomStayMatcherEmbeddable"}}},"OracleReservationRoomStayMatcherEmbeddable":{"type":"object","properties":{"roomId":{"$ref":"#/components/schemas/SiftStringQuery"},"roomClass":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SurveyMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"enabled":{"$ref":"#/components/schemas/SiftBooleanQuery"},"publiclyAvailable":{"$ref":"#/components/schemas/SiftBooleanQuery"},"sendingChannels":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"}}},"ContactFormMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"enabled":{"$ref":"#/components/schemas/SiftBooleanQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"}}},"SurveyTrackerMatcherEmbeddable":{"type":"object","properties":{"sendingIndex":{"$ref":"#/components/schemas/SiftNumberQuery"},"sendingType":{"$ref":"#/components/schemas/SiftStringQuery"},"clicks":{"$ref":"#/components/schemas/SiftNumberQuery"},"uniqueClicks":{"$ref":"#/components/schemas/SiftNumberQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"}}},"SupportEmailMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"default":{"$ref":"#/components/schemas/SiftBooleanQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"}}},"FeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefFeedbackMetadatasMatcherEmbeddable"}}},"ZenchefFeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"external_site":{"$ref":"#/components/schemas/SiftStringQuery"},"external_id_site":{"$ref":"#/components/schemas/SiftStringQuery"},"source_partner":{"$ref":"#/components/schemas/SiftStringQuery"},"source_partner_id":{"$ref":"#/components/schemas/SiftStringQuery"},"partner_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"restaurant_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"booking_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"guest_id":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"sexe":{"$ref":"#/components/schemas/SiftStringQuery"},"url":{"$ref":"#/components/schemas/SiftStringQuery"},"reply":{"$ref":"#/components/schemas/SiftNumberQuery"},"source_date":{"$ref":"#/components/schemas/SiftStringQuery"},"command_id":{"$ref":"#/components/schemas/SiftStringQuery"}}},"FeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefFeedbackContentMetadatasMatcherEmbeddable"},"sevenrooms":{"$ref":"#/components/schemas/SevenroomsFeedbackContentMetadatasMatcherEmbeddable"},"sunday":{"$ref":"#/components/schemas/SundayFeedbackContentMetadatasMatcherEmbeddable"},"booking":{"$ref":"#/components/schemas/BookingFeedbackMetadatasMatcherEmbeddable"},"email":{"$ref":"#/components/schemas/SupportEmailFeedbackMetadatasMatcherEmbeddable"}}},"ZenchefFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"service":{"$ref":"#/components/schemas/SiftNumberQuery"},"service_body":{"$ref":"#/components/schemas/SiftStringQuery"},"menu":{"$ref":"#/components/schemas/SiftNumberQuery"},"menu_body":{"$ref":"#/components/schemas/SiftStringQuery"},"ambiance":{"$ref":"#/components/schemas/SiftNumberQuery"},"ambiance_body":{"$ref":"#/components/schemas/SiftStringQuery"},"value_for_money":{"$ref":"#/components/schemas/SiftNumberQuery"},"value_for_money_body":{"$ref":"#/components/schemas/SiftStringQuery"},"body":{"$ref":"#/components/schemas/SiftStringQuery"},"global":{"$ref":"#/components/schemas/SiftNumberQuery"},"read":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"SevenroomsFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"feedback_type":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_id":{"$ref":"#/components/schemas/SiftStringQuery"},"order_id":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_date":{"$ref":"#/components/schemas/SiftStringQuery"},"received_date":{"$ref":"#/components/schemas/SiftStringQuery"},"created_date":{"$ref":"#/components/schemas/SiftStringQuery"},"recommend_to_friend":{"$ref":"#/components/schemas/SiftStringQuery"},"overall":{"$ref":"#/components/schemas/SiftStringQuery"},"food":{"$ref":"#/components/schemas/SiftStringQuery"},"drinks":{"$ref":"#/components/schemas/SiftStringQuery"},"ambience":{"$ref":"#/components/schemas/SiftStringQuery"},"service":{"$ref":"#/components/schemas/SiftStringQuery"},"notes":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SundayFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"review_id":{"$ref":"#/components/schemas/SiftStringQuery"},"created_at_local":{"$ref":"#/components/schemas/SiftStringQuery"},"business_id":{"$ref":"#/components/schemas/SiftStringQuery"},"payment_id":{"$ref":"#/components/schemas/SiftStringQuery"},"platform":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"table_number":{"$ref":"#/components/schemas/SiftNumberQuery"},"reply_content":{"$ref":"#/components/schemas/SiftStringQuery"},"replied_at":{"$ref":"#/components/schemas/SiftStringQuery"},"paid_amount":{"$ref":"#/components/schemas/SiftNumberQuery"},"order_amount":{"$ref":"#/components/schemas/SiftNumberQuery"},"currency_code":{"$ref":"#/components/schemas/SiftStringQuery"},"staff_name":{"$ref":"#/components/schemas/SiftStringQuery"},"rating_dimension_food_and_drinks":{"$ref":"#/components/schemas/SiftNumberQuery"},"rating_dimension_ambiance":{"$ref":"#/components/schemas/SiftNumberQuery"},"rating_dimension_service":{"$ref":"#/components/schemas/SiftNumberQuery"},"rating_dimension_value_for_money":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_coming_from_sunday":{"$ref":"#/components/schemas/SiftBooleanQuery"}}},"BookingFeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"facility_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"account":{"$ref":"#/components/schemas/SiftStringQuery"},"data":{"$ref":"#/components/schemas/BookingFeedbackContentMetadatasMatcherEmbeddable"}}},"BookingFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"name":{"$ref":"#/components/schemas/SiftStringQuery"},"yourname":{"$ref":"#/components/schemas/SiftStringQuery"},"processedBy":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelServicesFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelComfort":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelNegative":{"$ref":"#/components/schemas/SiftStringQuery"},"preferred":{"$ref":"#/components/schemas/SiftNumberQuery"},"pagename":{"$ref":"#/components/schemas/SiftStringQuery"},"translateButtonStatus":{"$ref":"#/components/schemas/SiftStringQuery"},"processingDate":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelClean":{"$ref":"#/components/schemas/SiftNumberQuery"},"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelValueFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelId":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelCity":{"$ref":"#/components/schemas/SiftStringQuery"},"reply":{"$ref":"#/components/schemas/BookingFeedbackReplyMetadatasMatcherEmbeddable"},"hotelLocationFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelNegativeTrivial":{"$ref":"#/components/schemas/SiftNumberQuery"},"language":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelComfortFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelStaffFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"cc1":{"$ref":"#/components/schemas/SiftStringQuery"},"additionalRatings":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"canReply":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelAverageFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelLocation":{"$ref":"#/components/schemas/SiftNumberQuery"},"anonymous":{"$ref":"#/components/schemas/SiftNumberQuery"},"isNew":{"$ref":"#/components/schemas/SiftNumberQuery"},"class":{"$ref":"#/components/schemas/SiftNumberQuery"},"title":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"suppressedComment":{"$ref":"#/components/schemas/SiftStringQuery"},"approvalStatus":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelStaff":{"$ref":"#/components/schemas/SiftNumberQuery"},"suppressed":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelPositive":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelServices":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelPositiveTrivial":{"$ref":"#/components/schemas/SiftNumberQuery"},"approved":{"$ref":"#/components/schemas/SiftStringQuery"},"titleTrivial":{"$ref":"#/components/schemas/SiftNumberQuery"},"stayStatus":{"$ref":"#/components/schemas/SiftStringQuery"},"booknumber":{"$ref":"#/components/schemas/SiftNumberQuery"},"completed":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelValue":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelCleanFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelAverage":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"BookingFeedbackReplyMetadatasMatcherEmbeddable":{"type":"object","properties":{"hotelierResponse":{"$ref":"#/components/schemas/SiftStringQuery"},"approved":{"$ref":"#/components/schemas/SiftNumberQuery"},"created":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SupportEmailFeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"Subject":{"$ref":"#/components/schemas/SiftStringQuery"},"From":{"$ref":"#/components/schemas/SiftStringQuery"},"FromName":{"$ref":"#/components/schemas/SiftStringQuery"},"To":{"$ref":"#/components/schemas/SiftStringQuery"},"Cc":{"$ref":"#/components/schemas/SiftStringQuery"},"Bcc":{"$ref":"#/components/schemas/SiftStringQuery"},"OriginalRecipient":{"$ref":"#/components/schemas/SiftStringQuery"}}},"PartnerCustomAttributePossibleValue":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"value":{"type":"string","description":"The value of the possible value for the custom attribute."},"color":{"type":"string","nullable":true,"description":"Display color","default":null},"creator":{"description":"Creator of the possible value\n- USER: Created by a user\n- AI: Created by the system through AI suggestions","allOf":[{"$ref":"#/components/schemas/CustomAttributePossibleValueCreator"}]}},"required":["id","createdAt","updatedAt","value","color","creator"]},"CustomAttributePossibleValueCreator":{"type":"string","enum":["USER","AI"],"description":"Creator of the possible value\n- USER: Created by a user\n- AI: Created by the system through AI suggestions"}}}}
```

## POST /partners/custom-attribute/list

> List custom attributes

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/custom-attribute/list":{"post":{"operationId":"PartnersCustomAttributeController_listCustomAttributes","parameters":[{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomAttributeListingParamsDto"}}}},"responses":{"201":{"description":"The custom attributes have been successfully listed.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PartnerCustomAttributeListingOutput"}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"}},"summary":"List custom attributes","tags":["CustomAttribute"]}}},"components":{"schemas":{"PartnerCustomAttributeListingParamsDto":{"type":"object","properties":{"limit":{"type":"number","description":"Pagination limit","default":10,"minimum":1,"maximum":100},"page":{"type":"number","description":"Page to retrieve","default":1,"minimum":1}}},"PartnerCustomAttributeListingOutput":{"type":"object","properties":{"items":{"description":"List of custom attributes","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomAttribute"}},"meta":{"description":"Listing metadata","allOf":[{"$ref":"#/components/schemas/PartnerListingOutputMeta"}]}},"required":["items","meta"]},"PartnerCustomAttribute":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"name":{"type":"string","description":"The name of the custom attribute."},"description":{"type":"string","nullable":true,"description":"Description of the custom attribute.","default":null},"type":{"description":"The type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeType"}]},"targetType":{"description":"The target type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeTargetType"}]},"autoDetect":{"type":"boolean","description":"Whether the custom attribute should be automatically detected during analysis."},"autoDetectConfig":{"description":"Configuration for auto-detection of the custom attribute.","default":null,"nullable":true,"allOf":[{"$ref":"#/components/schemas/CustomAttributeAutoDetectConfigEmbeddable"}]},"possibleValues":{"description":"List of possible values for the custom attribute (applicable for select types).","type":"array","items":{"$ref":"#/components/schemas/PartnerCustomAttributePossibleValue"}}},"required":["id","createdAt","updatedAt","name","description","type","targetType","autoDetect","autoDetectConfig","possibleValues"]},"CustomAttributeType":{"type":"string","enum":["SINGLE_SELECT","MULTI_SELECT","TEXT","NUMBER"],"description":"The type of the custom attribute."},"CustomAttributeTargetType":{"type":"string","enum":["FEEDBACK","CUSTOMER","PURCHASE"],"description":"The target type of the custom attribute."},"CustomAttributeAutoDetectConfigEmbeddable":{"type":"object","properties":{"promptMessage":{"type":"string","description":"The message to prompt users with when asking them to provide feedback for auto-detection of custom attribute values."},"allowNewPossibleValues":{"type":"boolean","description":"Whether to allow new possible values to be created when auto detecting\n@default false","default":false},"eraseExistingValues":{"type":"boolean","description":"Whether to erase existing custom attribute values for the target entity when auto-detecting new values.\nIf true, all existing values will be deleted before assigning the newly auto-detected value(s).\nIf false, the newly auto-detected value(s) will be assigned in addition to any existing values.\nThis option is only used for multi-select type custom attributes, where you may want to keep existing values while adding new ones.\n@default true","default":true},"matcher":{"nullable":true,"description":"The configuration for matching feedback content to determine if it should be used for auto-detection of custom attribute values.\n@default null","default":null,"allOf":[{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}]}},"required":["promptMessage","allowNewPossibleValues","eraseExistingValues","matcher"]},"FeedbackContentMatcherEmbeddable":{"type":"object","properties":{"text":{"$ref":"#/components/schemas/SiftStringQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"channel":{"$ref":"#/components/schemas/SiftStringQuery"},"language":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"index":{"$ref":"#/components/schemas/SiftNumberQuery"},"textSize":{"$ref":"#/components/schemas/SiftNumberQuery"},"polarity":{"$ref":"#/components/schemas/SiftStringQuery"},"themes":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"emotions":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"likeRecommended":{"$ref":"#/components/schemas/SiftBooleanQuery"},"replyRecommended":{"$ref":"#/components/schemas/SiftBooleanQuery"},"hideRecommended":{"$ref":"#/components/schemas/SiftBooleanQuery"},"attributes":{"$ref":"#/components/schemas/FeedbackContentCustomAttributeValueMatcherEmbeddable"},"tags":{"$ref":"#/components/schemas/FeedbackContentFeedbackTagMatcherEmbeddable"},"tagsPivot":{"$ref":"#/components/schemas/FeedbackContentFeedbackContentTagsPivotMatcherEmbeddable"},"surveyReplies":{"$ref":"#/components/schemas/FeedbackContentSurveyReplyMatcherEmbeddable"},"contactFormReplies":{"$ref":"#/components/schemas/FeedbackContentContactFormReplyMatcherEmbeddable"},"feedback":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"},"metadatas":{"$ref":"#/components/schemas/FeedbackContentMetadatasMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackContentMatcherEmbeddable"}}},"SiftStringQuery":{"type":"object","properties":{"$ilike":{"type":"string"},"$nilike":{"type":"string"},"$eq":{"type":"string","nullable":true},"$ne":{"type":"string","nullable":true},"$regex":{"type":"string","nullable":true},"$in":{"type":"array","items":{"type":"string"}},"$nin":{"type":"array","items":{"type":"string"}},"$exists":{"type":"boolean"}}},"SiftNumberQuery":{"type":"object","properties":{"$eq":{"type":"number","nullable":true},"$ne":{"type":"number","nullable":true},"$lt":{"type":"number"},"$gt":{"type":"number"},"$lte":{"type":"number"},"$gte":{"type":"number"},"$in":{"type":"array","items":{"type":"number"}},"$nin":{"type":"array","items":{"type":"number"}},"$exists":{"type":"boolean"}}},"SiftStringArrayQuery":{"type":"object","properties":{"$all":{"type":"array","items":{"type":"string"}},"$elemMatch":{"type":"string"},"$exists":{"type":"boolean"}}},"SiftBooleanQuery":{"type":"object","properties":{"$eq":{"type":"boolean","nullable":true},"$ne":{"type":"boolean","nullable":true},"$exists":{"type":"boolean"}}},"FeedbackContentCustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"CustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"attribute":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"},"type":{"$ref":"#/components/schemas/SiftStringQuery"},"autoDetected":{"$ref":"#/components/schemas/SiftBooleanQuery"},"fromPossibleValue":{"$ref":"#/components/schemas/CustomAttributePossibleValueMatcherEmbeddable"},"text":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"value":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}}},"CustomAttributeMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}}},"SiftUUIDQuery":{"type":"object","properties":{"$eq":{"type":"string"},"$ne":{"type":"string"},"$in":{"type":"array","items":{"type":"string"}},"$nin":{"type":"array","items":{"type":"string"}},"$exists":{"type":"boolean"}}},"CustomAttributePossibleValueMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"value":{"$ref":"#/components/schemas/SiftStringQuery"},"creator":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomAttributeMatcherEmbeddable"}}},"FeedbackContentFeedbackTagMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"FeedbackTagMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"tag":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"}}},"FeedbackContentFeedbackContentTagsPivotMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"FeedbackContentTagsPivotMatcherEmbeddable":{"type":"object","properties":{"tag":{"$ref":"#/components/schemas/FeedbackTagMatcherEmbeddable"},"polarity":{"$ref":"#/components/schemas/SiftStringQuery"},"themes":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"emotions":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackContentTagsPivotMatcherEmbeddable"}}},"FeedbackContentSurveyReplyMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"SurveyReplyMatcherEmbeddable":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/SiftStringQuery"},"label":{"$ref":"#/components/schemas/SiftStringQuery"},"text":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"values":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"possibleValues":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SurveyReplyMatcherEmbeddable"}}},"FeedbackContentContactFormReplyMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"ContactFormReplyMatcherEmbeddable":{"type":"object","properties":{"type":{"$ref":"#/components/schemas/SiftStringQuery"},"label":{"$ref":"#/components/schemas/SiftStringQuery"},"text":{"$ref":"#/components/schemas/SiftStringQuery"},"values":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"possibleValues":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/ContactFormReplyMatcherEmbeddable"}}},"FeedbackMatcherEmbeddable":{"type":"object","properties":{"class":{"$ref":"#/components/schemas/SiftStringQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"store":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"},"brand":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"},"customer":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"},"purchase":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"},"survey":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"},"form":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"},"surveyTracker":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"},"supportEmail":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"},"metadatas":{"$ref":"#/components/schemas/FeedbackMetadatasMatcherEmbeddable"},"allowAutoReply":{"$ref":"#/components/schemas/SiftBooleanQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/FeedbackMatcherEmbeddable"}}},"StoreMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"internalCode":{"$ref":"#/components/schemas/SiftStringQuery"},"groups":{"$ref":"#/components/schemas/StoreStoreGroupMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/StoreMatcherEmbeddable"}}},"StoreStoreGroupMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"StoreGroupMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"internalCode":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/StoreGroupMatcherEmbeddable"}}},"BrandMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/BrandMatcherEmbeddable"}}},"CustomerMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"description":{"$ref":"#/components/schemas/SiftStringQuery"},"firstName":{"$ref":"#/components/schemas/SiftStringQuery"},"lastName":{"$ref":"#/components/schemas/SiftStringQuery"},"displayName":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"phoneNumber":{"$ref":"#/components/schemas/SiftStringQuery"},"civility":{"$ref":"#/components/schemas/SiftStringQuery"},"language":{"$ref":"#/components/schemas/SiftStringQuery"},"type":{"$ref":"#/components/schemas/SiftStringQuery"},"attributes":{"$ref":"#/components/schemas/CustomerCustomAttributeValueMatcherEmbeddable"},"feedbackCount":{"$ref":"#/components/schemas/SiftNumberQuery"},"purchaseCount":{"$ref":"#/components/schemas/SiftNumberQuery"},"purchaseAmount":{"$ref":"#/components/schemas/SiftNumberQuery"},"averageFeedbackRating":{"$ref":"#/components/schemas/SiftNumberQuery"},"dataSources":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"zenchefId":{"$ref":"#/components/schemas/SiftStringQuery"},"zeltyId":{"$ref":"#/components/schemas/SiftStringQuery"},"ubereatsId":{"$ref":"#/components/schemas/SiftStringQuery"},"sevenroomsId":{"$ref":"#/components/schemas/SiftStringQuery"},"metadatas":{"$ref":"#/components/schemas/CustomerMetadatasMatcherEmbeddable"},"tags":{"$ref":"#/components/schemas/CustomerCustomerTagMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"}}},"CustomerCustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"CustomerMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefCustomerMetadatasMatcherEmbeddable"},"zelty":{"$ref":"#/components/schemas/ZeltyCustomerMetadatasMatcherEmbeddable"}}},"ZenchefCustomerMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"deleted_at":{"$ref":"#/components/schemas/SiftStringQuery"},"owner_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"restaurantid":{"$ref":"#/components/schemas/SiftNumberQuery"},"restaurant_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"retention_rate_label":{"$ref":"#/components/schemas/SiftStringQuery"},"retention_rate":{"$ref":"#/components/schemas/SiftNumberQuery"},"company":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"account_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"customer_social_id":{"$ref":"#/components/schemas/SiftStringQuery"},"customer_company_id":{"$ref":"#/components/schemas/SiftStringQuery"},"lastname":{"$ref":"#/components/schemas/SiftStringQuery"},"firstname":{"$ref":"#/components/schemas/SiftStringQuery"},"civility":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"phone":{"$ref":"#/components/schemas/SiftStringQuery"},"professional_email":{"$ref":"#/components/schemas/SiftStringQuery"},"professional_phone":{"$ref":"#/components/schemas/SiftStringQuery"},"birthdate":{"$ref":"#/components/schemas/SiftStringQuery"},"address":{"$ref":"#/components/schemas/SiftStringQuery"},"city":{"$ref":"#/components/schemas/SiftStringQuery"},"zip":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"lang":{"$ref":"#/components/schemas/SiftStringQuery"},"membershipnum":{"$ref":"#/components/schemas/SiftStringQuery"},"vip":{"$ref":"#/components/schemas/SiftNumberQuery"},"has_no_show":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_new":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_blacklisted":{"$ref":"#/components/schemas/SiftNumberQuery"},"allergies":{"$ref":"#/components/schemas/SiftStringQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"unsubscribed":{"$ref":"#/components/schemas/SiftBooleanQuery"},"has_opt_in_market_mail":{"$ref":"#/components/schemas/SiftNumberQuery"},"has_opt_in_review_mail":{"$ref":"#/components/schemas/SiftNumberQuery"},"imported_nb_bookings":{"$ref":"#/components/schemas/SiftNumberQuery"},"non_duplicate_with":{"$ref":"#/components/schemas/SiftStringQuery"}}},"ZeltyCustomerMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"uuid":{"$ref":"#/components/schemas/SiftStringQuery"},"remote_id":{"$ref":"#/components/schemas/SiftStringQuery"},"nice_name":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"fname":{"$ref":"#/components/schemas/SiftStringQuery"},"company":{"$ref":"#/components/schemas/SiftStringQuery"},"card":{"$ref":"#/components/schemas/SiftStringQuery"},"phone":{"$ref":"#/components/schemas/SiftStringQuery"},"phone2":{"$ref":"#/components/schemas/SiftStringQuery"},"mail":{"$ref":"#/components/schemas/SiftStringQuery"},"birthday":{"$ref":"#/components/schemas/SiftStringQuery"},"balance":{"$ref":"#/components/schemas/SiftNumberQuery"},"personal_info":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty":{"$ref":"#/components/schemas/SiftNumberQuery"},"registration":{"$ref":"#/components/schemas/SiftStringQuery"},"default_address":{"$ref":"#/components/schemas/SiftNumberQuery"},"billing_address":{"$ref":"#/components/schemas/SiftNumberQuery"},"sms_optin":{"$ref":"#/components/schemas/SiftBooleanQuery"},"mail_optin":{"$ref":"#/components/schemas/SiftBooleanQuery"},"turnover":{"$ref":"#/components/schemas/SiftNumberQuery"},"nb_orders":{"$ref":"#/components/schemas/SiftNumberQuery"},"last_order_date":{"$ref":"#/components/schemas/SiftStringQuery"},"other":{"$ref":"#/components/schemas/SiftStringQuery"},"country_code":{"$ref":"#/components/schemas/SiftStringQuery"}}},"CustomerCustomerTagMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"CustomerTagMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"tag":{"$ref":"#/components/schemas/SiftStringQuery"},"color":{"$ref":"#/components/schemas/SiftStringQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/CustomerTagMatcherEmbeddable"}}},"PurchaseMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"externalId":{"$ref":"#/components/schemas/SiftStringQuery"},"amount":{"$ref":"#/components/schemas/SiftNumberQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"customer":{"$ref":"#/components/schemas/CustomerMatcherEmbeddable"},"attributes":{"$ref":"#/components/schemas/PurchaseCustomAttributeValueMatcherEmbeddable"},"metadatas":{"$ref":"#/components/schemas/PurchaseMetadatasMatcherEmbeddable"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/PurchaseMatcherEmbeddable"}}},"PurchaseCustomAttributeValueMatcherEmbeddable":{"type":"object","properties":{"$some":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$every":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$none":{"$ref":"#/components/schemas/CustomAttributeValueMatcherEmbeddable"},"$arraySize":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"PurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefPurchaseMetadatasMatcherEmbeddable"},"zelty":{"$ref":"#/components/schemas/ZeltyPurchaseMetadatasMatcherEmbeddable"},"juxta":{"$ref":"#/components/schemas/JuxtaPurchaseMetadatasMatcherEmbeddable"},"sevenrooms":{"$ref":"#/components/schemas/SevenroomsPurchaseMetadatasMatcherEmbeddable"},"oracle":{"$ref":"#/components/schemas/OraclePurchaseMetadatasMatcherEmbeddable"}}},"ZenchefPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"type":{"$ref":"#/components/schemas/SiftStringQuery"},"partner_id":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_type":{"$ref":"#/components/schemas/SiftStringQuery"},"restaurant_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"resto_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"resto_name":{"$ref":"#/components/schemas/SiftStringQuery"},"to":{"$ref":"#/components/schemas/SiftStringQuery"},"day":{"$ref":"#/components/schemas/SiftStringQuery"},"time":{"$ref":"#/components/schemas/SiftStringQuery"},"nb_guests":{"$ref":"#/components/schemas/SiftNumberQuery"},"slots_count":{"$ref":"#/components/schemas/SiftStringQuery"},"civility":{"$ref":"#/components/schemas/SiftStringQuery"},"firstname":{"$ref":"#/components/schemas/SiftStringQuery"},"lastname":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"phone_number":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"private_comment":{"$ref":"#/components/schemas/SiftStringQuery"},"allergies":{"$ref":"#/components/schemas/SiftStringQuery"},"cancel_reason_id":{"$ref":"#/components/schemas/SiftStringQuery"},"zip":{"$ref":"#/components/schemas/SiftStringQuery"},"lang":{"$ref":"#/components/schemas/SiftStringQuery"},"moment":{"$ref":"#/components/schemas/SiftStringQuery"},"type_client":{"$ref":"#/components/schemas/SiftStringQuery"},"type_event":{"$ref":"#/components/schemas/SiftStringQuery"},"budget":{"$ref":"#/components/schemas/SiftStringQuery"},"date":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"reply_date":{"$ref":"#/components/schemas/SiftStringQuery"},"treatment":{"$ref":"#/components/schemas/SiftStringQuery"},"url":{"$ref":"#/components/schemas/SiftStringQuery"},"is_walk_in":{"$ref":"#/components/schemas/SiftNumberQuery"},"waiting_list_for":{"$ref":"#/components/schemas/SiftStringQuery"},"is_reconfirmed":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_canceled_late":{"$ref":"#/components/schemas/SiftNumberQuery"},"waiting_reconfirmation":{"$ref":"#/components/schemas/SiftStringQuery"},"is_locked":{"type":"object"},"is_not_destockable":{"type":"object"},"is_virtual_menu_sent":{"$ref":"#/components/schemas/SiftNumberQuery"},"review":{"$ref":"#/components/schemas/SiftNumberQuery"},"review_reminder":{"$ref":"#/components/schemas/SiftNumberQuery"},"unsubscribed":{"type":"object"},"attendance_customer":{"$ref":"#/components/schemas/SiftNumberQuery"},"customer_sheet_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"waiter_id":{"$ref":"#/components/schemas/SiftStringQuery"},"custom_field":{"$ref":"#/components/schemas/SiftStringQuery"},"prescriber_id":{"$ref":"#/components/schemas/SiftStringQuery"},"is_risky":{"type":"object"},"is_safe":{"type":"object"},"status_updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"source_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"shift_date":{"$ref":"#/components/schemas/SiftStringQuery"},"waiting_inside_for":{"$ref":"#/components/schemas/SiftStringQuery"},"seated_substatus":{"$ref":"#/components/schemas/SiftStringQuery"},"phase":{"$ref":"#/components/schemas/SiftStringQuery"}},"required":["created_at","updated_at"]},"ZeltyPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"uuid":{"$ref":"#/components/schemas/SiftStringQuery"},"id_restaurant":{"$ref":"#/components/schemas/SiftNumberQuery"},"remote_id":{"$ref":"#/components/schemas/SiftStringQuery"},"ref":{"$ref":"#/components/schemas/SiftStringQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"closed_at":{"$ref":"#/components/schemas/SiftStringQuery"},"due_date":{"$ref":"#/components/schemas/SiftStringQuery"},"mode":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"channel":{"$ref":"#/components/schemas/SiftStringQuery"},"virtual_brand_name":{"$ref":"#/components/schemas/SiftStringQuery"},"source":{"$ref":"#/components/schemas/SiftStringQuery"},"seats":{"$ref":"#/components/schemas/SiftNumberQuery"},"table":{"$ref":"#/components/schemas/SiftNumberQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"device_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"first_name":{"$ref":"#/components/schemas/SiftStringQuery"},"closed_by_device_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"user":{"$ref":"#/components/schemas/SiftStringQuery"},"delivery_started":{"$ref":"#/components/schemas/SiftStringQuery"},"delivery_ended":{"$ref":"#/components/schemas/SiftStringQuery"}}},"JuxtaPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"center_id":{"$ref":"#/components/schemas/SiftStringQuery"},"center_name":{"$ref":"#/components/schemas/SiftStringQuery"},"practitioner_fullname":{"$ref":"#/components/schemas/SiftStringQuery"},"patient_fullname":{"$ref":"#/components/schemas/SiftStringQuery"},"patient_firstname":{"$ref":"#/components/schemas/SiftStringQuery"},"patient_lastname":{"$ref":"#/components/schemas/SiftStringQuery"},"phone_number":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"date":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SevenroomsPurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_id":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_group_id":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_group_client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"first_name":{"$ref":"#/components/schemas/SiftStringQuery"},"last_name":{"$ref":"#/components/schemas/SiftStringQuery"},"source_client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"external_user_id":{"$ref":"#/components/schemas/SiftStringQuery"},"external_id":{"$ref":"#/components/schemas/SiftStringQuery"},"external_reference_code":{"$ref":"#/components/schemas/SiftStringQuery"},"external_client_id":{"$ref":"#/components/schemas/SiftStringQuery"},"phone_number":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"reference_code":{"$ref":"#/components/schemas/SiftStringQuery"},"client_reference_code":{"$ref":"#/components/schemas/SiftStringQuery"},"time_slot_iso":{"$ref":"#/components/schemas/SiftStringQuery"},"status":{"$ref":"#/components/schemas/SiftStringQuery"},"status_display":{"$ref":"#/components/schemas/SiftStringQuery"},"status_simple":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"table_numbers":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_seating_area_name":{"$ref":"#/components/schemas/SiftStringQuery"},"venue_seating_area_id":{"$ref":"#/components/schemas/SiftStringQuery"},"max_guests":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_vip":{"$ref":"#/components/schemas/SiftBooleanQuery"},"booked_by":{"$ref":"#/components/schemas/SiftStringQuery"},"date":{"$ref":"#/components/schemas/SiftStringQuery"},"real_datetime_of_slot":{"$ref":"#/components/schemas/SiftStringQuery"},"notes":{"$ref":"#/components/schemas/SiftStringQuery"},"client_requests":{"$ref":"#/components/schemas/SiftStringQuery"},"arrival_time":{"$ref":"#/components/schemas/SiftStringQuery"},"duration":{"$ref":"#/components/schemas/SiftNumberQuery"},"using_default_duration":{"$ref":"#/components/schemas/SiftBooleanQuery"},"send_reminder_email":{"$ref":"#/components/schemas/SiftBooleanQuery"},"updated":{"$ref":"#/components/schemas/SiftStringQuery"},"check_numbers":{"$ref":"#/components/schemas/SiftStringQuery"},"shift_persistent_id":{"$ref":"#/components/schemas/SiftStringQuery"},"left_time":{"$ref":"#/components/schemas/SiftStringQuery"},"postal_code":{"$ref":"#/components/schemas/SiftStringQuery"},"comps_price_type":{"$ref":"#/components/schemas/SiftStringQuery"},"modify_reservation_link":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_type":{"$ref":"#/components/schemas/SiftStringQuery"},"seated_time":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_sms_opt_in":{"$ref":"#/components/schemas/SiftBooleanQuery"},"arrived_guests":{"$ref":"#/components/schemas/SiftNumberQuery"},"state":{"$ref":"#/components/schemas/SiftStringQuery"},"send_reminder_sms":{"$ref":"#/components/schemas/SiftBooleanQuery"},"address_2":{"$ref":"#/components/schemas/SiftStringQuery"},"min_price":{"$ref":"#/components/schemas/SiftNumberQuery"},"policy":{"$ref":"#/components/schemas/SiftStringQuery"},"served_by":{"$ref":"#/components/schemas/SiftStringQuery"},"address":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty_id":{"$ref":"#/components/schemas/SiftStringQuery"},"mf_ratio_male":{"$ref":"#/components/schemas/SiftNumberQuery"},"mf_ratio_female":{"$ref":"#/components/schemas/SiftNumberQuery"},"comps":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty_rank":{"$ref":"#/components/schemas/SiftStringQuery"},"paid_by":{"$ref":"#/components/schemas/SiftStringQuery"},"loyalty_tier":{"$ref":"#/components/schemas/SiftStringQuery"},"shift_category":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"cost_option":{"$ref":"#/components/schemas/SiftNumberQuery"},"created":{"$ref":"#/components/schemas/SiftStringQuery"},"access_persistent_id":{"$ref":"#/components/schemas/SiftStringQuery"},"city":{"$ref":"#/components/schemas/SiftStringQuery"},"total_payment":{"$ref":"#/components/schemas/SiftNumberQuery"},"prepayment":{"$ref":"#/components/schemas/SiftNumberQuery"},"deleted":{"$ref":"#/components/schemas/SiftStringQuery"}}},"OraclePurchaseMetadatasMatcherEmbeddable":{"type":"object","properties":{"roomStay":{"$ref":"#/components/schemas/OracleReservationRoomStayMatcherEmbeddable"}}},"OracleReservationRoomStayMatcherEmbeddable":{"type":"object","properties":{"roomId":{"$ref":"#/components/schemas/SiftStringQuery"},"roomClass":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SurveyMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"enabled":{"$ref":"#/components/schemas/SiftBooleanQuery"},"publiclyAvailable":{"$ref":"#/components/schemas/SiftBooleanQuery"},"sendingChannels":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SurveyMatcherEmbeddable"}}},"ContactFormMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"enabled":{"$ref":"#/components/schemas/SiftBooleanQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/ContactFormMatcherEmbeddable"}}},"SurveyTrackerMatcherEmbeddable":{"type":"object","properties":{"sendingIndex":{"$ref":"#/components/schemas/SiftNumberQuery"},"sendingType":{"$ref":"#/components/schemas/SiftStringQuery"},"clicks":{"$ref":"#/components/schemas/SiftNumberQuery"},"uniqueClicks":{"$ref":"#/components/schemas/SiftNumberQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SurveyTrackerMatcherEmbeddable"}}},"SupportEmailMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftUUIDQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"default":{"$ref":"#/components/schemas/SiftBooleanQuery"},"$and":{"type":"array","items":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"}},"$or":{"type":"array","items":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"}},"$not":{"$ref":"#/components/schemas/SupportEmailMatcherEmbeddable"}}},"FeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefFeedbackMetadatasMatcherEmbeddable"}}},"ZenchefFeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"external_site":{"$ref":"#/components/schemas/SiftStringQuery"},"external_id_site":{"$ref":"#/components/schemas/SiftStringQuery"},"source_partner":{"$ref":"#/components/schemas/SiftStringQuery"},"source_partner_id":{"$ref":"#/components/schemas/SiftStringQuery"},"partner_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"restaurant_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"booking_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"guest_id":{"$ref":"#/components/schemas/SiftStringQuery"},"email":{"$ref":"#/components/schemas/SiftStringQuery"},"name":{"$ref":"#/components/schemas/SiftStringQuery"},"sexe":{"$ref":"#/components/schemas/SiftStringQuery"},"url":{"$ref":"#/components/schemas/SiftStringQuery"},"reply":{"$ref":"#/components/schemas/SiftNumberQuery"},"source_date":{"$ref":"#/components/schemas/SiftStringQuery"},"command_id":{"$ref":"#/components/schemas/SiftStringQuery"}}},"FeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"zenchef":{"$ref":"#/components/schemas/ZenchefFeedbackContentMetadatasMatcherEmbeddable"},"sevenrooms":{"$ref":"#/components/schemas/SevenroomsFeedbackContentMetadatasMatcherEmbeddable"},"sunday":{"$ref":"#/components/schemas/SundayFeedbackContentMetadatasMatcherEmbeddable"},"booking":{"$ref":"#/components/schemas/BookingFeedbackMetadatasMatcherEmbeddable"},"email":{"$ref":"#/components/schemas/SupportEmailFeedbackMetadatasMatcherEmbeddable"}}},"ZenchefFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"created_at":{"$ref":"#/components/schemas/SiftStringQuery"},"updated_at":{"$ref":"#/components/schemas/SiftStringQuery"},"service":{"$ref":"#/components/schemas/SiftNumberQuery"},"service_body":{"$ref":"#/components/schemas/SiftStringQuery"},"menu":{"$ref":"#/components/schemas/SiftNumberQuery"},"menu_body":{"$ref":"#/components/schemas/SiftStringQuery"},"ambiance":{"$ref":"#/components/schemas/SiftNumberQuery"},"ambiance_body":{"$ref":"#/components/schemas/SiftStringQuery"},"value_for_money":{"$ref":"#/components/schemas/SiftNumberQuery"},"value_for_money_body":{"$ref":"#/components/schemas/SiftStringQuery"},"body":{"$ref":"#/components/schemas/SiftStringQuery"},"global":{"$ref":"#/components/schemas/SiftNumberQuery"},"read":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"SevenroomsFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"feedback_type":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_id":{"$ref":"#/components/schemas/SiftStringQuery"},"order_id":{"$ref":"#/components/schemas/SiftStringQuery"},"reservation_date":{"$ref":"#/components/schemas/SiftStringQuery"},"received_date":{"$ref":"#/components/schemas/SiftStringQuery"},"created_date":{"$ref":"#/components/schemas/SiftStringQuery"},"recommend_to_friend":{"$ref":"#/components/schemas/SiftStringQuery"},"overall":{"$ref":"#/components/schemas/SiftStringQuery"},"food":{"$ref":"#/components/schemas/SiftStringQuery"},"drinks":{"$ref":"#/components/schemas/SiftStringQuery"},"ambience":{"$ref":"#/components/schemas/SiftStringQuery"},"service":{"$ref":"#/components/schemas/SiftStringQuery"},"notes":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SundayFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"review_id":{"$ref":"#/components/schemas/SiftStringQuery"},"created_at_local":{"$ref":"#/components/schemas/SiftStringQuery"},"business_id":{"$ref":"#/components/schemas/SiftStringQuery"},"payment_id":{"$ref":"#/components/schemas/SiftStringQuery"},"platform":{"$ref":"#/components/schemas/SiftStringQuery"},"rating":{"$ref":"#/components/schemas/SiftNumberQuery"},"comment":{"$ref":"#/components/schemas/SiftStringQuery"},"table_number":{"$ref":"#/components/schemas/SiftNumberQuery"},"reply_content":{"$ref":"#/components/schemas/SiftStringQuery"},"replied_at":{"$ref":"#/components/schemas/SiftStringQuery"},"paid_amount":{"$ref":"#/components/schemas/SiftNumberQuery"},"order_amount":{"$ref":"#/components/schemas/SiftNumberQuery"},"currency_code":{"$ref":"#/components/schemas/SiftStringQuery"},"staff_name":{"$ref":"#/components/schemas/SiftStringQuery"},"rating_dimension_food_and_drinks":{"$ref":"#/components/schemas/SiftNumberQuery"},"rating_dimension_ambiance":{"$ref":"#/components/schemas/SiftNumberQuery"},"rating_dimension_service":{"$ref":"#/components/schemas/SiftNumberQuery"},"rating_dimension_value_for_money":{"$ref":"#/components/schemas/SiftNumberQuery"},"is_coming_from_sunday":{"$ref":"#/components/schemas/SiftBooleanQuery"}}},"BookingFeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"facility_id":{"$ref":"#/components/schemas/SiftNumberQuery"},"account":{"$ref":"#/components/schemas/SiftStringQuery"},"data":{"$ref":"#/components/schemas/BookingFeedbackContentMetadatasMatcherEmbeddable"}}},"BookingFeedbackContentMetadatasMatcherEmbeddable":{"type":"object","properties":{"name":{"$ref":"#/components/schemas/SiftStringQuery"},"yourname":{"$ref":"#/components/schemas/SiftStringQuery"},"processedBy":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelServicesFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelComfort":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelNegative":{"$ref":"#/components/schemas/SiftStringQuery"},"preferred":{"$ref":"#/components/schemas/SiftNumberQuery"},"pagename":{"$ref":"#/components/schemas/SiftStringQuery"},"translateButtonStatus":{"$ref":"#/components/schemas/SiftStringQuery"},"processingDate":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelClean":{"$ref":"#/components/schemas/SiftNumberQuery"},"id":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelValueFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelId":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelCity":{"$ref":"#/components/schemas/SiftStringQuery"},"reply":{"$ref":"#/components/schemas/BookingFeedbackReplyMetadatasMatcherEmbeddable"},"hotelLocationFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelNegativeTrivial":{"$ref":"#/components/schemas/SiftNumberQuery"},"language":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelComfortFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelStaffFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"cc1":{"$ref":"#/components/schemas/SiftStringQuery"},"additionalRatings":{"$ref":"#/components/schemas/SiftStringArrayQuery"},"canReply":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelAverageFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelLocation":{"$ref":"#/components/schemas/SiftNumberQuery"},"anonymous":{"$ref":"#/components/schemas/SiftNumberQuery"},"isNew":{"$ref":"#/components/schemas/SiftNumberQuery"},"class":{"$ref":"#/components/schemas/SiftNumberQuery"},"title":{"$ref":"#/components/schemas/SiftStringQuery"},"country":{"$ref":"#/components/schemas/SiftStringQuery"},"suppressedComment":{"$ref":"#/components/schemas/SiftStringQuery"},"approvalStatus":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelStaff":{"$ref":"#/components/schemas/SiftNumberQuery"},"suppressed":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelPositive":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelServices":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelPositiveTrivial":{"$ref":"#/components/schemas/SiftNumberQuery"},"approved":{"$ref":"#/components/schemas/SiftStringQuery"},"titleTrivial":{"$ref":"#/components/schemas/SiftNumberQuery"},"stayStatus":{"$ref":"#/components/schemas/SiftStringQuery"},"booknumber":{"$ref":"#/components/schemas/SiftNumberQuery"},"completed":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelValue":{"$ref":"#/components/schemas/SiftNumberQuery"},"hotelCleanFormatted":{"$ref":"#/components/schemas/SiftStringQuery"},"hotelAverage":{"$ref":"#/components/schemas/SiftNumberQuery"}}},"BookingFeedbackReplyMetadatasMatcherEmbeddable":{"type":"object","properties":{"hotelierResponse":{"$ref":"#/components/schemas/SiftStringQuery"},"approved":{"$ref":"#/components/schemas/SiftNumberQuery"},"created":{"$ref":"#/components/schemas/SiftStringQuery"}}},"SupportEmailFeedbackMetadatasMatcherEmbeddable":{"type":"object","properties":{"Subject":{"$ref":"#/components/schemas/SiftStringQuery"},"From":{"$ref":"#/components/schemas/SiftStringQuery"},"FromName":{"$ref":"#/components/schemas/SiftStringQuery"},"To":{"$ref":"#/components/schemas/SiftStringQuery"},"Cc":{"$ref":"#/components/schemas/SiftStringQuery"},"Bcc":{"$ref":"#/components/schemas/SiftStringQuery"},"OriginalRecipient":{"$ref":"#/components/schemas/SiftStringQuery"}}},"PartnerCustomAttributePossibleValue":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"value":{"type":"string","description":"The value of the possible value for the custom attribute."},"color":{"type":"string","nullable":true,"description":"Display color","default":null},"creator":{"description":"Creator of the possible value\n- USER: Created by a user\n- AI: Created by the system through AI suggestions","allOf":[{"$ref":"#/components/schemas/CustomAttributePossibleValueCreator"}]}},"required":["id","createdAt","updatedAt","value","color","creator"]},"CustomAttributePossibleValueCreator":{"type":"string","enum":["USER","AI"],"description":"Creator of the possible value\n- USER: Created by a user\n- AI: Created by the system through AI suggestions"},"PartnerListingOutputMeta":{"type":"object","properties":{"itemCount":{"type":"number","description":"Total number of items for the given page."},"totalItems":{"type":"number","description":"Total number of items."},"itemsPerPage":{"type":"number","description":"Number of items per page."},"totalPages":{"type":"number","description":"Total number of pages."},"currentPage":{"type":"number","description":"Current page number."}},"required":["itemCount","totalItems","itemsPerPage","totalPages","currentPage"]}}}}
```

## POST /partners/custom-attribute/customer

> Assigns a custom attribute to a customer.

```json
{"openapi":"3.0.0","info":{"title":"Partners","version":"1.0.0"},"servers":[{"url":"https://api.fullwhere.com"}],"paths":{"/partners/custom-attribute/customer":{"post":{"operationId":"PartnersCustomAttributeController_assignCustomAttributeToCustomer","parameters":[{"name":"X-API-KEY","in":"header","description":"Partner API Key","required":true,"schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"Partner API Secret","required":true,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignCustomAttributeDto"}}}},"responses":{"201":{"description":"The attribute has been successfully assigned.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PartnerCustomerCustomAttributeValue"}}}}},"400":{"description":"Invalid input format."},"401":{"description":"Unauthorized"},"404":{"description":"Customer or CustomAttribute not found."}},"summary":"Assigns a custom attribute to a customer.","tags":["CustomAttribute"]}}},"components":{"schemas":{"AssignCustomAttributeDto":{"type":"object","properties":{"eraseExistingValues":{"type":"boolean","description":"Whether to erase existing custom attribute values.\nIf true, all existing values will be deleted before assigning the newly value(s).\nIf false, the newly value(s) will be assigned in addition to any existing values.\nThis option is only used for multi-select type custom attributes, where you may want to keep existing values while adding new ones.\n@default true"},"attribute":{"type":"string","format":"uuid","description":"The ID of the custom attribute to assign"},"target":{"type":"string","format":"uuid","description":"The ID of the target entity to assign the custom attribute to"},"values":{"description":"The values to assign to the custom attribute.\nFor attributes with possible values, these should be the ID(s) of the possible value(s).\nFor free text attributes, it should be the raw string value.\nFor free number attributes, it should be the raw number value as string.","minItems":1,"type":"array","items":{"type":"string","maxLength":1000,"minLength":1}}},"required":["attribute","target","values"]},"PartnerCustomerCustomAttributeValue":{"type":"object","properties":{"id":{"type":"string","description":"Unique identifier"},"createdAt":{"format":"date-time","type":"string","description":"Creation timestamp"},"updatedAt":{"format":"date-time","type":"string","description":"Last update timestamp"},"attribute":{"type":"string","description":"ID of the related custom attribute."},"type":{"description":"The type of the custom attribute.","allOf":[{"$ref":"#/components/schemas/CustomAttributeType"}]},"autoDetected":{"type":"boolean","description":"Determines if the value was auto-detected"},"fromPossibleValue":{"type":"string","nullable":true,"description":"The ID of the possible value selected if applicable\nOnly used for select type custom attributes, null otherwise","default":null},"text":{"type":"string","nullable":true,"description":"Submitted text value if applicable\nOnly used for text type custom attributes, null otherwise","default":null},"rating":{"type":"string","nullable":true,"description":"Submitted numeric value if applicable\nOnly used for rating type custom attributes, null otherwise","default":null},"value":{"type":"string","description":"The value of the custom attribute as string, which can be either:\n- The text value for text type custom attributes\n- The numeric value for rating type custom attributes\n- The value of the selected possible value for select type custom attributes"}},"required":["id","createdAt","updatedAt","attribute","type","autoDetected","fromPossibleValue","text","rating","value"]},"CustomAttributeType":{"type":"string","enum":["SINGLE_SELECT","MULTI_SELECT","TEXT","NUMBER"],"description":"The type of the custom attribute."}}}}
```

## DELETE /partners/custom-attribute/customer

> Unassigns a custom attribute value from a customer entity.

```json
[...]
